Comandos cron ejecutados con diferentes PHP

Versiones de PHP disponibles en el selector
– php 5.4
– php 5.6
– php 7.1
– php 7.2
– php 7.3
– php 7.x (Última en desarrollo) [Muy inestable, no instalada y no recomendable]

Algunas aplicacianes que necesitan ser ejecutadas cada cierto tiempo crearemos un comando de CRON, pero a veces estás aplicaciones requieren de versiones de PHP específicas, o simplemente no son compatibles con nuevas versiones.

Para este ejemplo vamos a usar WHMCS, el cuál suele requerir usar PHP 5.6 para funcionar. Este es el comando que WHMCS siempre nos recomienda:

Imagen del comando que sugiere WHMCS

Lo siguiente que debemos hacer es copiarlo, iniciar sesión en nuestro panel de control y ir a crontab:

Imagen de nuestro panel de control

Ahora ahí vamos a agregar un comando de cron personalizado y pegamos el comando que nos da WHMCS y cambiamos la parte del principio "/usr/bin/php" a "/opt/alt/phpXX/usr/bin/php" siendo "XX" la versión de PHP sin puntos a usar. En nuestro caso queremos ejecutar la versión 5.6 de PHP, y se pondría de esta manera:

Imagen de configuración de nuestro cron

(en color verde: la parte del comando que debemos cambiar)
(en color azul: la parte del comando que especifica, sin puntos, que version de PHP queremos usar)

Ahora damos a guardar y a ejecutar el comando si no queremos esperar, ¡y ya debería de estar todo corregido en WHMCS como en nuestra foto!
Cron funcionando correctamente

  • CWP, CPanel, cron, PHP, whmcs
  • 0 Los Usuarios han Encontrado Esto Útil
¿Fue útil la respuesta?

Artículos Relacionados

Cambiar versión PHP de cada carpeta

Versiones de PHP disponibles en el selector– php 5.4– php 5.6– php 7.1– php 7.2– php 7.3– php...

Usar siempre SSL (https://)

Para hacer que cuando un usuario cargue la web sin hacer uso de SLL (es decir, que no tenga...